#!/bin/bash

# KDE

# KDE directory
KDE_DIR=`find $HOME -name ".kde*" -type d`

# KDE splash
mkdir -p $KDE_DIR/share/apps/kspash/pics/
cp -R -f ./ksplash/pics/*.* $KDE_DIR/share/apps/kspash/pics/

# KDE panel (kicker)
mkdir -p $KDE_DIR/share/apps/kicker/tiles
cp -R -f ./kicker/tiles/*.* $KDE_DIR/share/apps/kicker/tiles/

# KDE theme
mkdir -p $KDE_DIR/share/apps/kthememgr/Themes
cp -R -f ./kthememgr/Themes/Downcast.ktheme $KDE_DIR/share/apps/kthememgr/Themes/

# KDE window decoration
mkdir -p $KDE_DIR/share/apps/kwin/icewm-themes/
cp -R -f ./kwin/icewm-themes/Downcast $KDE_DIR/share/apps/kwin/icewm-themes/

# GTK

mkdir -p /usr/share/themes/
cp -R -f ./gtk/Downcast /usr/share/themes/
cp -R -f ./gtk/.gtkrc $HOME
cp -R -f ./gtk/.gtkrc-2.0 $HOME

echo 'Downcast installed. For more read INSTALL file.'
